Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
ResidualCurrentStateSensor.idl
1/* SPDX-License-Identifier: BSD-3-Clause */
2/*
3 * Copyright 2013 Raritan Inc. All rights reserved.
4 */
5
6#ifndef __PDUMODEL_RESIDUAL_CURRENT_STATE_SENSOR_IDL__
7#define __PDUMODEL_RESIDUAL_CURRENT_STATE_SENSOR_IDL__
8
9#include <StateSensor.idl>
10
11/**
12 * PDU Model
13 */
14module pdumodel {
15
16 /** Residual current state sensor interface */
17 interface ResidualCurrentStateSensor extends sensors.StateSensor {
18
19 /** Possible sensor state values */
20 constant int STATE_NORMAL = 0; ///< Residual current sensor is operating normally
21 constant int STATE_WARNING = 1; ///< Residual current sensor detected overcurrent
22 constant int STATE_CRITICAL = 2; ///< Residual current sensor detected overcurrent
23 constant int STATE_SELFTEST = 3; ///< Residual current sensor currently conducts a self test
24 constant int STATE_FAILURE = 4; ///< Residual current sensor is unavailable or self test failed
25
26 /**
27 * Start a self test of the residual current monitor
28 *
29 * @return 0 if OK
30 * @return 1 if no residual current monitor is present
31 * @return 2 if a self test is already running
32 */
33 int startSelfTest();
34 };
35}
36
37#endif
pdumodel::ResidualCurrentStateSensor
Residual current state sensor interface.
Definition ResidualCurrentStateSensor.idl:17
pdumodel::ResidualCurrentStateSensor::startSelfTest
int startSelfTest()
Start a self test of the residual current monitor.
pdumodel
PDU Model.
Definition Circuit.idl:16
sensors
Sensors Model.
Definition AccumulatingNumericSensor.idl:13